from django.contrib.sitemaps import Sitemap
from django.urls import reverse
from blogs.models import WebPage,NewsIndexPage,NewsPage,BlogIndexPage,BlogPage,TutorialIndexPage,TutorialPage
from ecom.models import CategoryIndexPage,CategoryPage,ProductBrandPage,ProductPage,ProductVariantPage
from core.models import ComPolicy


class BaseSitemaps(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return ['ecom_sitemap','news_sitemap','blogs_sitemap','tutorials_sitemap']
    def location(self, item):
        return reverse(item)
    
class WebSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return WebPage.objects.all()

class PolicySitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return ComPolicy.objects.all()
    # def location(self, item):
        # return reverse(item)
    
# Tutorial Sitemaps ------------
class TutorialIndexSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return TutorialIndexPage.objects.all()
    
class TutorialSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return TutorialPage.objects.all()


# Blog Sitemaps ------------
class BlogIndexSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return BlogIndexPage.objects.all()
    
class BlogSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return BlogPage.objects.all()

# News Sitemaps ------------
class NewsIndexSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return NewsIndexPage.objects.all()
    
class NewsSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return NewsPage.objects.all()


# Ecom Sitemaps ------------
class CategoryIndexSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return CategoryIndexPage.objects.all()
    
class CategorySitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return CategoryPage.objects.all()

class ProductBrandSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return ProductBrandPage.objects.all()
    
class ProductSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return ProductPage.objects.all()
   
class ProductVarSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.8
    protocol = 'https'
    def items(self):
        return ProductVariantPage.objects.all()
# Ecom Sitemaps End ------------
    
     
  
